Bug 23239 - Паковать .prl файлы
: Паковать .prl файлы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libqt4-devel)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-03-26 17:16 by
Modified: 2010-05-24 15:57 (History)


Attachments
wkhtmltopdf.pro.patch (550 bytes, patch)
2010-03-26 19:17, Sergey V Turchin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-03-26 17:16:25
Сторонний проект просит /usr/lib/libQtGui.prl , но ни одного prl файла у нас не
обнаружилось, прошу положить :)
------- Comment #1 From 2010-03-26 18:31:02 -------
Я их ни в одном Qt никогда в жизни не паковал и не слишком представляю
необходимость в них. А где можно посмотреть кто их хочет?
------- Comment #2 From 2010-03-26 18:56:33 -------
Ну вот например: http://code.google.com/p/wkhtmltopdf/
------- Comment #3 From 2010-03-26 19:02:11 -------
Вообще я так понимаю оно нужно в редких случаях, когда кто-то хочет Qt
статически
------- Comment #4 From 2010-03-26 19:17:20 -------
Created an attachment (id=4320) [details]
wkhtmltopdf.pro.patch

В конкретном случае из файлов .prl берется информация о том, статически или
динамически собрана библиотека, т.е. для wkhtmltopdf не имеет смысла, т.к. я не
могу запаковать /usr/lib/libQtGui.prl в 2-х вариантах сразу.
Более того. Он хочет еще и /usr/lib/QtGui.framework/QtGui.prl , т.е. один хрен
не соберется.

Достаточно вырезать мусор, как в прилагаемом патче.
------- Comment #5 From 2010-05-24 15:57:38 -------
qt4-4.6.2-alt3